Skip to content

Export contacts to CSV

Request

Queue a CSV export of contacts matching the filter. Returns a file-export record with status queued. Once the job completes, use download to retrieve the file.

Security
bearerAuth
Bodyapplication/jsonrequired
filterobjectrequired

Filter to select contacts. Use {all: true} to export everything.

Example:
{ "all": true }
POST
/leads/api/file-exports/leads
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/file-exports/leads \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "filter": {
      "all": true
    }
  }'

Responses

Export queued.

Bodyapplication/json
uuidstring, (uuid)
team_idinteger
typestring
Example:"contact_export_csv"
filterobject
statusstring
Example:"queued"
Response
{ "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "type": "contact_export_csv", "filter": {}, "status": "queued" }